## libcamera 0.6.0

=== meson_options.txt ===
# SPDX-License-Identifier: CC0-1.0

option('android',
        type : 'feature',
        value : 'disabled',
        description : 'Compile libcamera with Android Camera3 HAL interface')

option('android_platform',
        type : 'combo',
        choices : ['cros', 'generic'],
        value : 'generic',
        description : 'Select the Android platform to compile for')

option('cam',
        type : 'feature',
        value : 'auto',
        description : 'Compile the cam test application')

option('documentation',
        type : 'feature',
        value : 'auto',
        description : 'Generate the project documentation')

option('doc_werror',
        type : 'boolean',
        value : false,
        description : 'Treat documentation warnings as errors')

option('gstreamer',
        type : 'feature',
        value : 'auto',
        description : 'Compile libcamera GStreamer plugin')

option('ipas',
        type : 'array',
        choices : ['ipu3', 'mali-c55', 'rkisp1', 'rpi/pisp', 'rpi/vc4', 'simple',
                   'vimc'],
        description : 'Select which IPA modules to build')

option('lc-compliance',
        type : 'feature',
        value : 'auto',
        description : 'Compile the lc-compliance test application')

option('libunwind',
        type : 'feature',
        value : 'auto',
        description : 'Enable libunwind integration for backtrace generation')

option('pipelines',
        type : 'array',
        value : ['auto'],
        choices : [
            'all',
            'auto',
            'imx8-isi',
            'ipu3',
            'mali-c55',
            'rkisp1',
            'rpi/pisp',
            'rpi/vc4',
            'simple',
            'uvcvideo',
            'vimc',
            'virtual'
        ],
        description : 'Select which pipeline handlers to build. If this is set to "auto", all the pipelines applicable to the target architecture will be built. If this is set to "all", all the pipelines will be built. If both are selected then "all" will take precedence.')

option('pycamera',
        type : 'feature',
        value : 'auto',
        description : 'Enable libcamera Python bindings (experimental)')

option('qcam',
        type : 'feature',
        value : 'auto',
        description : 'Compile the qcam test application')

option('test',
        type : 'boolean',
        value : false,
        description : 'Compile and include the tests')

option('tracing',
        type : 'feature',
        value : 'auto',
        description : 'Enable tracing (based on lttng)')

option('udev',
       type : 'feature',
       value : 'auto',
       description : 'Enable udev support for hotplug')

option('v4l2',
        type : 'feature',
        value : 'auto',
        description : 'Compile the V4L2 compatibility layer',
        deprecated : {'true': 'enabled', 'false': 'disabled'})

=== debian/changelog ===
libcamera (0.6.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Dec 2025 11:28:25 +0100

libcamera (0.6.0-1) experimental; urgency=medium

  * New upstream version 0.6.0
  * Bump SONAME to libcamera0.6
  * Remove Disable_libunwind_integration.patch, merged upstream.
  * Add python3-sphinx-book-theme in Build-Depends-Indep.
  * Adjust python module install path.
  * salsa-ci: disable debrebuild and reprotest jobs.
  * Convert watch to version 5 and use Gitlab template.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 29 Nov 2025 15:06:30 +0100

=== debian/control ===
Source: libcamera
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
           IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
           Andrej Shadura <andrewsh@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               libdrm-dev <!pkg.libcamera.nosdl>,
               libdw-dev <!pkg.libcamera.notrace>,
               libevent-dev,
               libgnutls28-dev | gnutls-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtest-dev <!nocheck>,
               libjpeg-dev <!pkg.libcamera.nosdl>,
               liblttng-ust-dev [!hurd-any !i386],
               libpisp-dev [arm64 armel armhf],
               libpython3-dev <!pkg.libcamera.nopython>,
               libsdl2-dev <!pkg.libcamera.nosdl>,
               libtiff-dev,
               libudev-dev [linux-any],
               libyaml-dev,
               libyuv-dev,
               meson (>= 0.63),
               openssl,
               pkgconf,
               python3-jinja2:native,
               python3-ply,
               python3-pybind11 <!pkg.libcamera.nopython>,
               python3-yaml:native,
               qt6-base-dev [!i386] <!pkg.libcamera.noqt>
Build-Depends-Indep: doxygen <!nodoc>,
                     doxygen-latex <!nodoc>,
                     graphviz <!nodoc>,
                     libjs-jquery <!nodoc>,
                     libjs-sphinxdoc <!nodoc>,
                     libjs-underscore <!nodoc>,
                     python3-sphinx:native <!nodoc>,
                     python3-sphinx-book-theme:native <!nodoc>,
                     python3-sphinxcontrib.doxylink:native <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git
Homepage: https://libcamera.org/
Rules-Requires-Root: no

Package: libcamera-dev
Architecture: linux-any
Section: libdevel
Depends: libcamera0.6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: complex camera support library (development files)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package provides the necessary files needed for development

Package: libcamera-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         libjs-sphinxdoc,
         libjs-underscore,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcamera-dev
Description: complex camera support library (documentation)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package contains the documentation developing with libcamera.
Build-Profiles: <!nodoc>

Package: libcamera0.6
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcamera-ipa (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Breaks: libcamera0 (<< 0.0.3-1~)
Replaces: libcamera0 (<< 0.0.3-1~)
Description: complex camera support library
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.

Package: libcamera-ipa
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libcamera0 (<< 0.0.3-1~)
Replaces: libcamera0 (<< 0.0.3-1~)
Description: complex camera support library (IPA modules)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package contains the libcamera IPA (Image Processing Algorithms) modules.

Package: libcamera-tools
Architecture: linux-any
Multi-Arch: foreign
Section: video
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libcamera-v4l2 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: complex camera support library (tools)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package provides cam and qcam, libcamera "Swiss army knife" tools.

Package: libcamera-v4l2
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libcamera0 (<< 0.0.3-1~)
Replaces: libcamera0 (<< 0.0.3-1~)
Description: complex camera support library (V4L2 module)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package contains the libcamera V4L2 module.

Package: gstreamer1.0-libcamera
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libcamera0 (<< 0.0.3-1~)
Replaces: libcamera0 (<< 0.0.3-1~)
Description: complex camera support library (GStreamer plugin)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package contains the libcamera GStreamer plugin.

Package: python3-libcamera
Architecture: linux-any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: complex camera support library (Python bindings)
 libcamera is a complex camera support library which handles low-level
 control of the camera devices, providing a unified higher-level
 programming interface to the applications.
 .
 This package contains the libcamera Python bindings.

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.freedesktop.org/camera/libcamera

## libcamera 0.6.0+rpt20251202

=== meson_options.txt ===
--- 
+++ 
@@ -13,12 +13,12 @@
 
 option('cam',
         type : 'feature',
-        value : 'auto',
+        value : 'disabled',
         description : 'Compile the cam test application')
 
 option('documentation',
         type : 'feature',
-        value : 'auto',
+        value : 'disabled',
         description : 'Generate the project documentation')
 
 option('doc_werror',
@@ -35,11 +35,12 @@
         type : 'array',
         choices : ['ipu3', 'mali-c55', 'rkisp1', 'rpi/pisp', 'rpi/vc4', 'simple',
                    'vimc'],
+        value: ['rpi/pisp', 'rpi/vc4'],
         description : 'Select which IPA modules to build')
 
 option('lc-compliance',
         type : 'feature',
-        value : 'auto',
+        value : 'disabled',
         description : 'Compile the lc-compliance test application')
 
 option('libunwind',
@@ -64,6 +65,7 @@
             'vimc',
             'virtual'
         ],
+        value: ['rpi/pisp', 'rpi/vc4'],
         description : 'Select which pipeline handlers to build. If this is set to "auto", all the pipelines applicable to the target architecture will be built. If this is set to "all", all the pipelines will be built. If both are selected then "all" will take precedence.')
 
 option('pycamera',
@@ -73,7 +75,7 @@
 
 option('qcam',
         type : 'feature',
-        value : 'auto',
+        value : 'disabled',
         description : 'Compile the qcam test application')
 
 option('test',
@@ -93,6 +95,6 @@
 
 option('v4l2',
         type : 'feature',
-        value : 'auto',
+        value : 'enabled',
         description : 'Compile the V4L2 compatibility layer',
         deprecated : {'true': 'enabled', 'false': 'disabled'})

=== debian/changelog ===
libcamera (0.6.0+rpt20251202-1) trixie; urgency=medium

  * New upstream version 0.6.0+rpt20251202

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 02 Dec 2025 12:17:03 +0000

libcamera (0.6.0+rpt20251201-1) trixie; urgency=medium

  * New upstream version 0.6.0+rpt20251201
  * d/patches: drop upstream Disable_libunwind_integration.patch
  * Bump SONAME to libcamera0.6
  * d/: Update for documentation build option change
  * d/gbp.conf: add debian-tag

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 01 Dec 2025 16:57:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,5 @@
 Source: libcamera
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
-           IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
-           Andrej Shadura <andrewsh@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
+Maintainer: Serge Schneider <serge@raspberrypi.com>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -27,10 +23,10 @@
                meson (>= 0.63),
                openssl,
                pkgconf,
-               python3-jinja2:native,
+               python3-jinja2,
                python3-ply,
                python3-pybind11 <!pkg.libcamera.nopython>,
-               python3-yaml:native,
+               python3-yaml,
                qt6-base-dev [!i386] <!pkg.libcamera.noqt>
 Build-Depends-Indep: doxygen <!nodoc>,
                      doxygen-latex <!nodoc>,
@@ -38,12 +34,12 @@
                      libjs-jquery <!nodoc>,
                      libjs-sphinxdoc <!nodoc>,
                      libjs-underscore <!nodoc>,
-                     python3-sphinx:native <!nodoc>,
-                     python3-sphinx-book-theme:native <!nodoc>,
-                     python3-sphinxcontrib.doxylink:native <!nodoc>
+                     python3-sphinx <!nodoc>,
+                     python3-sphinx-book-theme <!nodoc>,
+                     python3-sphinxcontrib.doxylink <!nodoc>
 Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
-Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git
+Vcs-Browser: https://github.com/RPi-Distro/libcamera
+Vcs-Git: https://github.com/RPi-Distro/libcamera.git
 Homepage: https://libcamera.org/
 Rules-Requires-Root: no
 
@@ -82,11 +78,11 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libcamera-ipa (= ${binary:Version})
+         ${shlibs:Depends},
+         libcamera-ipa (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -97,8 +93,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library (IPA modules)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -126,8 +122,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library (V4L2 module)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -140,8 +136,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library (GStreamer plugin)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += \
	-Dv4l2=true
endif

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	DOCUMENTATION=enabled
else
	DOCUMENTATION=disabled
endif

ifneq (,$(filter i386,$(DEB_HOST_ARCH)))
QCAM=disabled
# See https://bugs.debian.org/1076986
else
QCAM=enabled
endif

# Only enable rpi pipelines on arm
ifneq (,$(filter $(DEB_HOST_ARCH), arm64 armhf))
	PIPELINES=rpi/vc4,rpi/pisp,uvcvideo
else
	PIPELINES=uvcvideo
endif

CONFFLAGS += \
       --libexecdir=libexec/${DEB_HOST_MULTIARCH} \
	-Dgstreamer=enabled \
	-Dlibunwind=disabled \
	-Dpycamera=enabled \
	-Dpipelines=${PIPELINES} \
	-Dqcam=$(QCAM) \
	-Dtest=true \
	-Dv4l2=true

%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-Ddocumentation=disabled \
		$(CONFFLAGS) \
		$(empty)

override_dh_auto_configure-indep:
	dh_auto_configure -- \
		-Ddocumentation=${DOCUMENTATION} \
		$(CONFFLAGS) \
		$(empty)

# Only make the tests fail for key architectures
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf))
	dh_auto_test
else
	-dh_auto_test
endif

override_dh_install-indep:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	mv debian/tmp/usr/share/doc/libcamera-0.* debian/tmp/usr/share/doc/libcamera-doc
endif
	dh_install -X/.doctrees/

execute_before_dh_install-arch:
	cp ./obj-${DEB_HOST_GNU_TYPE}/src/apps/ipa-verify/ipa_verify \
	   debian/tmp/usr/bin/

override_dh_strip:
	dh_strip -a
	MESON_INSTALL_DESTDIR_PREFIX=. ./src/ipa/ipa-sign-install.sh \
		./obj-${DEB_HOST_GNU_TYPE}/src/ipa-priv-key.pem \
		debian/libcamera-ipa/usr/lib/${DEB_HOST_MULTIARCH}/libcamera/ipa/ipa_*.so
	for IPA_MOD in debian/libcamera-ipa/usr/lib/*/libcamera/ipa/ipa_*.so; \
	do \
	  echo "Verifying signature of $${IPA_MOD}"; \
	  ./obj-${DEB_HOST_GNU_TYPE}/src/apps/ipa-verify/ipa_verify $${IPA_MOD}; \
	done

execute_after_dh_fixperms:
	find debian/ -name 'v4l2-compat.so' -exec chmod -x '{}' \;

.PHONY: licensecheck
licensecheck:
	licensecheck --deb-machine -r * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
version=4
opts="searchmode=plain,\
uversionmangle=s/%2B/+/g" \
https://api.github.com/repos/raspberrypi/@PACKAGE@/releases?per_page=50 \
https://github\.com/[^/]+/[^/]+/releases/download/[^/]+/@PACKAGE@-([^"]+)\.tar\.xz

## libcamera 0.7.0

=== meson_options.txt ===
--- 
+++ 
@@ -13,12 +13,12 @@
 
 option('cam',
         type : 'feature',
-        value : 'disabled',
+        value : 'auto',
         description : 'Compile the cam test application')
 
 option('documentation',
         type : 'feature',
-        value : 'disabled',
+        value : 'auto',
         description : 'Generate the project documentation')
 
 option('doc_werror',
@@ -35,12 +35,11 @@
         type : 'array',
         choices : ['ipu3', 'mali-c55', 'rkisp1', 'rpi/pisp', 'rpi/vc4', 'simple',
                    'vimc'],
-        value: ['rpi/pisp', 'rpi/vc4'],
         description : 'Select which IPA modules to build')
 
 option('lc-compliance',
         type : 'feature',
-        value : 'disabled',
+        value : 'auto',
         description : 'Compile the lc-compliance test application')
 
 option('libunwind',
@@ -65,7 +64,6 @@
             'vimc',
             'virtual'
         ],
-        value: ['rpi/pisp', 'rpi/vc4'],
         description : 'Select which pipeline handlers to build. If this is set to "auto", all the pipelines applicable to the target architecture will be built. If this is set to "all", all the pipelines will be built. If both are selected then "all" will take precedence.')
 
 option('pycamera',
@@ -75,8 +73,13 @@
 
 option('qcam',
         type : 'feature',
-        value : 'disabled',
+        value : 'auto',
         description : 'Compile the qcam test application')
+
+option('rpi-awb-nn',
+        type : 'feature',
+        value : 'auto',
+        description : 'Enable the Raspberry Pi Neural Network AWB algorithm')
 
 option('test',
         type : 'boolean',
@@ -95,6 +98,6 @@
 
 option('v4l2',
         type : 'feature',
-        value : 'enabled',
+        value : 'auto',
         description : 'Compile the V4L2 compatibility layer',
         deprecated : {'true': 'enabled', 'false': 'disabled'})

=== debian/changelog ===
libcamera (0.7.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Update links in d/u/metadata

 -- Dylan Aïssi <daissi@debian.org>  Mon, 16 Feb 2026 08:53:39 +0100

libcamera (0.7.0-1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version 0.7.0
  * Bump SONAME to libcamera0.7
  * Add libtensorflow-lite-dev in Build-Depends for arm64 armhf,
    this is required to enable the Raspberry Pi Neural Network AWB algorithm.
  * Add patch fixing detection of system tensorflow-lite.
  * Remove ppc64el-fix-ftbfs-gcc.patch, no longer required.
    The build was successful on ppc64el via debusine without this patch.
  * Remove redundant:
      - Rules-Requires-Root: no
      - Priority: optional
  * Bump Standards-Version to 4.7.3

  [ David Heidelberg ]
  * salsa-ci: fix ARM64 builds

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Jan 2026 09:56:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Source: libcamera
-Maintainer: Serge Schneider <serge@raspberrypi.com>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
+           IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+           Andrej Shadura <andrewsh@debian.org>,
+           Dylan Aïssi <daissi@debian.org>
 Section: libs
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                libdrm-dev <!pkg.libcamera.nosdl>,
@@ -16,6 +19,7 @@
                libpisp-dev [arm64 armel armhf],
                libpython3-dev <!pkg.libcamera.nopython>,
                libsdl2-dev <!pkg.libcamera.nosdl>,
+               libtensorflow-lite-dev [arm64 armhf],
                libtiff-dev,
                libudev-dev [linux-any],
                libyaml-dev,
@@ -23,10 +27,10 @@
                meson (>= 0.63),
                openssl,
                pkgconf,
-               python3-jinja2,
+               python3-jinja2:native,
                python3-ply,
                python3-pybind11 <!pkg.libcamera.nopython>,
-               python3-yaml,
+               python3-yaml:native,
                qt6-base-dev [!i386] <!pkg.libcamera.noqt>
 Build-Depends-Indep: doxygen <!nodoc>,
                      doxygen-latex <!nodoc>,
@@ -34,19 +38,18 @@
                      libjs-jquery <!nodoc>,
                      libjs-sphinxdoc <!nodoc>,
                      libjs-underscore <!nodoc>,
-                     python3-sphinx <!nodoc>,
-                     python3-sphinx-book-theme <!nodoc>,
-                     python3-sphinxcontrib.doxylink <!nodoc>
-Standards-Version: 4.7.2
-Vcs-Browser: https://github.com/RPi-Distro/libcamera
-Vcs-Git: https://github.com/RPi-Distro/libcamera.git
+                     python3-sphinx:native <!nodoc>,
+                     python3-sphinx-book-theme:native <!nodoc>,
+                     python3-sphinxcontrib.doxylink:native <!nodoc>
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
+Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git
 Homepage: https://libcamera.org/
-Rules-Requires-Root: no
 
 Package: libcamera-dev
 Architecture: linux-any
 Section: libdevel
-Depends: libcamera0.6 (= ${binary:Version}),
+Depends: libcamera0.7 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: complex camera support library (development files)
@@ -74,15 +77,15 @@
  This package contains the documentation developing with libcamera.
 Build-Profiles: <!nodoc>
 
-Package: libcamera0.6
+Package: libcamera0.7
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libcamera-ipa (= ${binary:Version})
+         ${shlibs:Depends}
+Recommends: libcamera-ipa (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libcamera0
-Replaces: libcamera0
+Breaks: libcamera0 (<< 0.0.3-1~)
+Replaces: libcamera0 (<< 0.0.3-1~)
 Description: complex camera support library
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -93,8 +96,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0
-Replaces: libcamera0
+Breaks: libcamera0 (<< 0.0.3-1~)
+Replaces: libcamera0 (<< 0.0.3-1~)
 Description: complex camera support library (IPA modules)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -122,8 +125,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0
-Replaces: libcamera0
+Breaks: libcamera0 (<< 0.0.3-1~)
+Replaces: libcamera0 (<< 0.0.3-1~)
 Description: complex camera support library (V4L2 module)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -136,8 +139,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0
-Replaces: libcamera0
+Breaks: libcamera0 (<< 0.0.3-1~)
+Replaces: libcamera0 (<< 0.0.3-1~)
 Description: complex camera support library (GStreamer plugin)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level

## libcamera 0.7.0+rpt20260205

=== meson_options.txt ===
--- 
+++ 
@@ -13,12 +13,12 @@
 
 option('cam',
         type : 'feature',
-        value : 'auto',
+        value : 'disabled',
         description : 'Compile the cam test application')
 
 option('documentation',
         type : 'feature',
-        value : 'auto',
+        value : 'disabled',
         description : 'Generate the project documentation')
 
 option('doc_werror',
@@ -35,11 +35,12 @@
         type : 'array',
         choices : ['ipu3', 'mali-c55', 'rkisp1', 'rpi/pisp', 'rpi/vc4', 'simple',
                    'vimc'],
+        value: ['rpi/pisp', 'rpi/vc4'],
         description : 'Select which IPA modules to build')
 
 option('lc-compliance',
         type : 'feature',
-        value : 'auto',
+        value : 'disabled',
         description : 'Compile the lc-compliance test application')
 
 option('libunwind',
@@ -64,6 +65,7 @@
             'vimc',
             'virtual'
         ],
+        value: ['rpi/pisp', 'rpi/vc4'],
         description : 'Select which pipeline handlers to build. If this is set to "auto", all the pipelines applicable to the target architecture will be built. If this is set to "all", all the pipelines will be built. If both are selected then "all" will take precedence.')
 
 option('pycamera',
@@ -73,7 +75,7 @@
 
 option('qcam',
         type : 'feature',
-        value : 'auto',
+        value : 'disabled',
         description : 'Compile the qcam test application')
 
 option('rpi-awb-nn',
@@ -98,6 +100,6 @@
 
 option('v4l2',
         type : 'feature',
-        value : 'auto',
+        value : 'enabled',
         description : 'Compile the V4L2 compatibility layer',
         deprecated : {'true': 'enabled', 'false': 'disabled'})

=== debian/changelog ===
libcamera (0.7.0+rpt20260205-1) trixie; urgency=medium

  * New upstream version 0.7.0+rpt20260205

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 05 Feb 2026 16:51:11 +0000

libcamera (0.7.0+rpt20260202-2) trixie; urgency=medium

  * Enable rpi-awb-nn

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 05 Feb 2026 06:58:35 +0000

libcamera (0.7.0+rpt20260202-1) trixie; urgency=medium

  * New upstream version 0.7.0+rpt20260202
  * Bump SONAME to libcamera0.7
  * d/c: Add awb-nn to libcamera-ipa recommends

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 02 Feb 2026 17:47:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,7 @@
 Source: libcamera
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Emmanuel Arias <emmanuelarias30@gmail.com>,
-           IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
-           Andrej Shadura <andrewsh@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
+Maintainer: Serge Schneider <serge@raspberrypi.com>
 Section: libs
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                libdrm-dev <!pkg.libcamera.nosdl>,
@@ -19,7 +16,7 @@
                libpisp-dev [arm64 armel armhf],
                libpython3-dev <!pkg.libcamera.nopython>,
                libsdl2-dev <!pkg.libcamera.nosdl>,
-               libtensorflow-lite-dev [arm64 armhf],
+               libtensorflow-lite-dev,
                libtiff-dev,
                libudev-dev [linux-any],
                libyaml-dev,
@@ -27,10 +24,10 @@
                meson (>= 0.63),
                openssl,
                pkgconf,
-               python3-jinja2:native,
+               python3-jinja2,
                python3-ply,
                python3-pybind11 <!pkg.libcamera.nopython>,
-               python3-yaml:native,
+               python3-yaml,
                qt6-base-dev [!i386] <!pkg.libcamera.noqt>
 Build-Depends-Indep: doxygen <!nodoc>,
                      doxygen-latex <!nodoc>,
@@ -38,13 +35,14 @@
                      libjs-jquery <!nodoc>,
                      libjs-sphinxdoc <!nodoc>,
                      libjs-underscore <!nodoc>,
-                     python3-sphinx:native <!nodoc>,
-                     python3-sphinx-book-theme:native <!nodoc>,
-                     python3-sphinxcontrib.doxylink:native <!nodoc>
-Standards-Version: 4.7.3
-Vcs-Browser: https://salsa.debian.org/multimedia-team/libcamera
-Vcs-Git: https://salsa.debian.org/multimedia-team/libcamera.git
+                     python3-sphinx <!nodoc>,
+                     python3-sphinx-book-theme <!nodoc>,
+                     python3-sphinxcontrib.doxylink <!nodoc>
+Standards-Version: 4.7.2
+Vcs-Browser: https://github.com/RPi-Distro/libcamera
+Vcs-Git: https://github.com/RPi-Distro/libcamera.git
 Homepage: https://libcamera.org/
+Rules-Requires-Root: no
 
 Package: libcamera-dev
 Architecture: linux-any
@@ -81,11 +79,11 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libcamera-ipa (= ${binary:Version})
+         ${shlibs:Depends},
+         libcamera-ipa (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -96,8 +94,9 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Recommends: awb-nn
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library (IPA modules)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -125,8 +124,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library (V4L2 module)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level
@@ -139,8 +138,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libcamera0 (<< 0.0.3-1~)
-Replaces: libcamera0 (<< 0.0.3-1~)
+Breaks: libcamera0
+Replaces: libcamera0
 Description: complex camera support library (GStreamer plugin)
  libcamera is a complex camera support library which handles low-level
  control of the camera devices, providing a unified higher-level

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,8 @@
 	-Dpipelines=${PIPELINES} \
 	-Dqcam=$(QCAM) \
 	-Dtest=true \
-	-Dv4l2=true
+	-Dv4l2=true \
+	-Drpi-awb-nn=enabled
 
 %:
 	dh $@
